Page MenuHomePhabricator

Improve Special:Translate for mobile devices
Open, MediumPublic

Description

As a follow-up to T102922: Let mobile users reach a functioning Special:Translate without clicks, Special:Translate now works on mobile site, but that does not mean it is works well for mobile users. Two things from the previous ticket:

  • Review grid system and get it working < 600px
  • Remove use of jquery.ui.position

In addition some styles are not correctly applied on the mobile site, so those should be fixed too.


See also

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2016, 10:08 AM

Change 310296 had a related patch set uploaded (by Nikerabbit):
TUX: Simplify message search results row

https://gerrit.wikimedia.org/r/310296

Change 311945 had a related patch set uploaded (by Nikerabbit):
Editor: fix positioning of textarea action buttons in MobileFrontend & Chrome

https://gerrit.wikimedia.org/r/311945

Change 312036 had a related patch set uploaded (by Nikerabbit):
Editor: use regular size buttons

https://gerrit.wikimedia.org/r/312036

Change 312037 had a related patch set uploaded (by Nikerabbit):
Editor: only show shortcut info on large screens

https://gerrit.wikimedia.org/r/312037

Change 312038 had a related patch set uploaded (by Nikerabbit):
Editor: do not use grid for caret spacing

https://gerrit.wikimedia.org/r/312038

Change 312039 had a related patch set uploaded (by Nikerabbit):
Editor: Make the insertables more touch friendly

https://gerrit.wikimedia.org/r/312039

Change 312040 had a related patch set uploaded (by Nikerabbit):
MessageTable: Do not float the action bar on small screens.

https://gerrit.wikimedia.org/r/312040

Change 312041 had a related patch set uploaded (by Nikerabbit):
MessageTable: make the info column hiding nicer

https://gerrit.wikimedia.org/r/312041

Nikerabbit triaged this task as Medium priority.Sep 22 2016, 8:31 AM
Nikerabbit moved this task from Backlog to tux on the MediaWiki-extensions-Translate board.

Change 312036 merged by jenkins-bot:
Editor: use regular size buttons

https://gerrit.wikimedia.org/r/312036

Change 312037 merged by jenkins-bot:
Editor: only show shortcut info on large screens

https://gerrit.wikimedia.org/r/312037

Change 312038 merged by jenkins-bot:
Editor: do not use grid for caret spacing

https://gerrit.wikimedia.org/r/312038

Change 312039 merged by jenkins-bot:
Editor: Make the insertables more touch friendly

https://gerrit.wikimedia.org/r/312039

Change 312040 merged by jenkins-bot:
MessageTable: Do not float the action bar on small screens.

https://gerrit.wikimedia.org/r/312040

Change 312041 merged by jenkins-bot:
MessageTable: make the info column hiding nicer

https://gerrit.wikimedia.org/r/312041

Change 311945 merged by jenkins-bot:
Editor: fix positioning of textarea action buttons in MobileFrontend & Chrome

https://gerrit.wikimedia.org/r/311945

Change 310296 merged by jenkins-bot:
TUX: Simplify message search results row

https://gerrit.wikimedia.org/r/310296

Nemo_bis updated the task description. (Show Details)Mar 30 2017, 10:33 AM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 5:44 PM
Nikerabbit updated the task description. (Show Details)

@Volker_E The things in the task description are still valid. Some cleanups have been done but the major things are still pending.

Jdlrobson added a comment.EditedJun 6 2020, 9:06 PM

Hey @Nikerabbit I was just thinking about this today and I was wondering if you could help me with the history of this extension as I'd love to get these to be more accessible on mobile.

Currently languages on MediaWiki.org and other projects that use translate wiki display a language box at the top of the page like so:

Playing with the extension I see that setting $wgPageTranslationLanguageList = 'sidebar-only' puts it in the sidebar like so:

I was wondering why that wasn't the preferred solution here. Can you give me some background?

The reason I ask is that if it's in the sidebar (even if it's repeated at the top of the page or hidden in Vector), it would be trivial (I have a working proof of concept) for us to pick those languages up in Minerva and render them in the language overlay.
(I can open a separate bug or move this comment elsewhere if this is the wrong place to discuss)

In a nutshell:

  1. Support for placing Translate's language links on the side is a recent, experimental feature
  2. The placement originates from Wikipedia wikis where {{languages}} template was used and its design copied almost 1:1 to Translate (since improved)
  3. The hooks for interlanguage links are not very flexible, so the code is very hacky trying to manage state in different places. Only the option of having them always in the sidebar works properly, and the options that place them in sidebar if <languages> tag is not present is broken
  4. There is no answer to the question: what happens if a page has both interlanguage links and translatable page links (there are some such pages on Wikimedia wikis)

I think both 3 and 4 could be solvable and desirable to solve.

@Jdlrobson T204076: Consider moving page translation language links to the sidebar has a bunch of more details. If you have any insight how that could be unblocked, potentially in relation with the language selector work, that would be nice.